Package com.openmeet.shared.data.meeter_interest

# Class Meeter_Interest

java.lang.Object
com.openmeet.shared.data.meeter_interest.Meeter_Interest

All Implemented Interfaces:
  `IEntity`

public class Meeter_Interest extends Object implements IEntity
This class represents the Meeter_Interest Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MEETER_INTEREST`
  `static final String`
  `MEETER_INTEREST_ID`
  `static final String`
  `MEETER_INTEREST_INTEREST_ID`
  `static final String`
  `MEETER_INTEREST_MEETER_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Meeter_Interest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Returns the Meeter_Interest id.
  `int`
  `getInterestId()`
  Returns the Meeter_Interest interestId.
  `int`
  `getMeeterId()`
  Returns the Meeter_Interest meeterId.
  `void`
  `setId(int id)`
  Sets the Meeter_Interest id.
  `void`
  `setInterestId(int interestId)`
  Sets the Meeter_Interest interestId.
  `void`
  `setMeeterId(int meeterId)`
  Sets the Meeter_Interest meeterId.
  `HashMap<String,Object>`
  `toHashMap()`
  Returns the Meeter_Interest as an hashMap.
  `HashMap<String,Object>`
  `toHashMap(String... fields)`
  Returns the Meeter_Interest as an hashMap.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MEETER_INTEREST

    public static final String MEETER_INTEREST
    See Also:
      - Constant Field Values

  - ### MEETER_INTEREST_ID

    public static final String MEETER_INTEREST_ID
    See Also:
      - Constant Field Values

  - ### MEETER_INTEREST_INTEREST_ID

    public static final String MEETER_INTEREST_INTEREST_ID
    See Also:
      - Constant Field Values

  - ### MEETER_INTEREST_MEETER_ID

    public static final String MEETER_INTEREST_MEETER_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Meeter_Interest

    public Meeter_Interest()

- ## Method Details

  - ### toHashMap

    public HashMap<String,Object> toHashMap()
    Returns the Meeter_Interest as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Meeter_Interest as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,Object> toHashMap(String... fields)
    Returns the Meeter_Interest as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Meeter_Interest as an hashMap.
    See Also:
      - `IEntity`

  - ### getId

    public int getId()
    Returns the Meeter_Interest id.
    Returns:
      the Meeter_Interest id.

  - ### setId

    public void setId(int id)
    Sets the Meeter_Interest id.
    Parameters:
      `id` - the Meeter_Interest id.

  - ### getInterestId

    public int getInterestId()
    Returns the Meeter_Interest interestId.
    Returns:
      the Meeter_Interest interestId.

  - ### setInterestId

    public void setInterestId(int interestId)
    Sets the Meeter_Interest interestId.
    Parameters:
      `interestId` - the Meeter_Interest interestId.

  - ### getMeeterId

    public int getMeeterId()
    Returns the Meeter_Interest meeterId.
    Returns:
      the Meeter_Interest meeterId.

  - ### setMeeterId

    public void setMeeterId(int meeterId)
    Sets the Meeter_Interest meeterId.
    Parameters:
      `meeterId` - the Meeter_Interest meeterId.